/*
 * Copyright 2017 Fraunhofer Institute for Manufacturing Engineering and Automation (IPA)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0

 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
 

#include <ros/ros.h>
#include <cob_lookat_action/cob_lookat_action_server.h>


int main(int argc, char** argv)
{
    ros::init(argc, argv, "lookat_action");

    CobLookAtAction *lookat = new CobLookAtAction("lookat_action");
    if(lookat->init())
    {
        ROS_INFO_STREAM("lookat_action running...");
        ros::spin();
    }
    else
    {
        ROS_ERROR_STREAM("Failed to initialize lookat_action");
    }

    return 0;
}
